Upsert Event Definitions

post

/config/sim/v2/setup/upsertEventDefinitions

Updates provided fields if the Event Definition exists; inserts a new Event Definition if it does not.

Request

Supported Media Types
Header Parameters
Body ()
Event Definition upsert request body.
Root Schema : schema
Type: object
Show Source
  • Event attendance value.
    Example: 150
  • Indicates whether the event ends automatically.
    Example: true
  • Planned event end date/time. Must be after startDateTime. It is recommended to assign the current or a future date/time. Required to create a new event definition.
    Example: 2026-07-15T22:00:00
  • eventAreas
    Event areas assigned to the Event Definition.
  • Object number of the associated Event Sub Type. The Event Sub Type must belong to the selected Event Type. Required to create a new event definition.
    Example: 2
  • Object number of the associated Event Type. The Event Type must be available to the property. Required to create a new event definition.
    Example: 1
  • Maximum Length: 8
    Optional external event identifier.
    Example: EV1001
  • Unique reference of the Property hierarchy unit where the Event Definition is configured.
    Example: 3599
  • name
    Event Definition name in configured languages. Required to create a new event definition.
  • Next linked child Event Definition identifier. If supplied, the API links the Event Definition to the referenced existing Event Definition and synchronizes the reciprocal pointer.
    Example: 50124
  • Object number of the Event Definition.
    Example: 10
  • Previous linked parent Event Definition identifier. If supplied, the API links the Event Definition to the referenced existing Event Definition and synchronizes the reciprocal pointer.
    Example: 50122
  • rvcs
    Revenue centers assigned to the Event Definition. Required to create a new event definition.
  • Maximum Length: 20
    User-editable event short code. Must not contain the event-code delimiter |. The API generates the full eventCode value from shortCode, startDateTime, and objectNum. Required to create a new event definition.
    Example: WEDREC
  • Indicates whether the event starts automatically.
    Example: true
  • Planned event start date/time. Must be before endDateTime. It is recommended to assign the current or a future date/time. Required to create a new event definition.
    Example: 2026-07-15T18:00:00
Nested Schema : eventAreas
Type: array
Event areas assigned to the Event Definition.
Show Source
Nested Schema : name
Type: object
Event Definition name in configured languages. Required to create a new event definition.
Example:
{
    "1":"Wedding Reception",
    "2":"Recepcion de Boda",
    "3":"Reception de Mariage"
}
Nested Schema : rvcs
Type: array
Revenue centers assigned to the Event Definition. Required to create a new event definition.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Event Definition updated.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Event Definition inserted.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top